[arch-commits] Commit in python-cairocffi/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue Mar 21 07:43:22 UTC 2017


    Date: Tuesday, March 21, 2017 @ 07:43:22
  Author: felixonmars
Revision: 217946

archrelease: copy trunk to community-any

Added:
  python-cairocffi/repos/community-any/PKGBUILD
    (from rev 217945, python-cairocffi/trunk/PKGBUILD)
Deleted:
  python-cairocffi/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  121 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 60 insertions(+), 61 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2017-03-21 07:43:05 UTC (rev 217945)
+++ PKGBUILD	2017-03-21 07:43:22 UTC (rev 217946)
@@ -1,61 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Marti Raudsepp <marti at juffo.org>
-# Contributor: Florijan Hamzic <florijanh at gmail.com>
-
-pkgbase=python-cairocffi
-pkgname=(python-cairocffi python2-cairocffi)
-pkgver=0.8.0
-pkgrel=1
-pkgdesc="cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of Python bindings and object-oriented API for cairo."
-arch=('any')
-url="http://pythonhosted.org/cairocffi/"
-license=('BSD')
-makedepends=('python-cffi' 'python2-cffi' 'python-setuptools' 'python2-setuptools' 'cairo' 'gdk-pixbuf2')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-xcffib' 'python2-xcffib')
-source=("$pkgbase-$pkgver.tar.gz::https://github.com/SimonSapin/cairocffi/archive/v${pkgver}.tar.gz")
-md5sums=('7f193f6f553ef0b37828b693ef411a65')
-
-prepare() {
-  cp -a cairocffi-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir/cairocffi-$pkgver"
-  python setup.py build
-
-  cd "$srcdir/cairocffi-$pkgver-py2"
-  python2 setup.py build
-}
-
-check() {
-  export LC_CTYPE=en_US.utf8
-
-  cd "$srcdir/cairocffi-$pkgver"
-  python setup.py pytest || warning "Tests failed"
-
-  cd "$srcdir/cairocffi-$pkgver-py2"
-  python2 setup.py pytest || warning "Tests failed"
-}
-
-package_python-cairocffi() {
-  depends=('python-cffi' 'cairo')
-  optdepends=('python-xcffib: for xcb support'
-              'gdk-pixbuf2: for cairocffi.pixbuf')
-
-  cd "$srcdir/cairocffi-$pkgver"
-  python setup.py install --root="$pkgdir" --prefix=/usr -O1 --skip-build
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}
-
-package_python2-cairocffi() {
-  depends=('python2-cffi' 'cairo')
-  optdepends=('python2-xcffib: for xcb support'
-              'gdk-pixbuf2: for cairocffi.pixbuf')
-
-  cd "$srcdir/cairocffi-$pkgver-py2"
-  python2 setup.py install --root="$pkgdir" --prefix=/usr -O1 --skip-build
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-}

Copied: python-cairocffi/repos/community-any/PKGBUILD (from rev 217945, python-cairocffi/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2017-03-21 07:43:22 UTC (rev 217946)
@@ -0,0 +1,60 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Marti Raudsepp <marti at juffo.org>
+# Contributor: Florijan Hamzic <florijanh at gmail.com>
+
+pkgbase=python-cairocffi
+pkgname=(python-cairocffi python2-cairocffi)
+pkgver=0.8.0
+pkgrel=2
+pkgdesc="cairocffi is a CFFI-based drop-in replacement for Pycairo, a set of Python bindings and object-oriented API for cairo."
+arch=('any')
+url="http://pythonhosted.org/cairocffi/"
+license=('BSD')
+makedepends=('python-cffi' 'python2-cffi' 'python-setuptools' 'python2-setuptools' 'cairo'
+             'gdk-pixbuf2' 'python-xcffib' 'python2-xcffib')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/SimonSapin/cairocffi/archive/v${pkgver}.tar.gz")
+md5sums=('7f193f6f553ef0b37828b693ef411a65')
+
+prepare() {
+  cp -a cairocffi-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir/cairocffi-$pkgver"
+  python setup.py build
+
+  cd "$srcdir/cairocffi-$pkgver-py2"
+  python2 setup.py build
+}
+
+check() {
+  export LC_CTYPE=en_US.utf8
+
+  cd "$srcdir/cairocffi-$pkgver"
+  python setup.py pytest || warning "Tests failed"
+
+  cd "$srcdir/cairocffi-$pkgver-py2"
+  python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-cairocffi() {
+  depends=('python-cffi' 'cairo' 'python-xcffib')
+  optdepends=('gdk-pixbuf2: for cairocffi.pixbuf')
+
+  cd "$srcdir/cairocffi-$pkgver"
+  python setup.py install --root="$pkgdir" --prefix=/usr -O1 --skip-build
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_python2-cairocffi() {
+  depends=('python2-cffi' 'cairo' 'python2-xcffib')
+  optdepends=('gdk-pixbuf2: for cairocffi.pixbuf')
+
+  cd "$srcdir/cairocffi-$pkgver-py2"
+  python2 setup.py install --root="$pkgdir" --prefix=/usr -O1 --skip-build
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}


More information about the arch-commits mailing list